% Deguang Yu - CIS 601 - Home work #6
% Due: October 11th, 2004
%------------------------------------

clear all;
close all;

% Reads in all six texture pics
t1 = imread('texture1.jpg');
figure; imshow(t1);

t2 = imread('texture2.jpg');
figure; imshow(t2);

t3 = imread('texture3.jpg');
figure; imshow(t3);

t4 = imread('texture4.jpg');
figure; imshow(t4);

t5 = imread('texture5.jpg');
figure; imshow(t5);

t6 = imread('texture6.jpg');
figure; imshow(t6);

% Get seven moment invariants for each texture
phi(1,:)=invmoments(t1);
phi(2,:)=invmoments(t2);
phi(3,:)=invmoments(t3);
phi(4,:)=invmoments(t4);
phi(5,:)=invmoments(t5);
phi(6,:)=invmoments(t6);

% Use log to reduce dynamic range and absolute value 
% avoid dealing with complex numbers
i=1:6;
inv(i,:)=abs(log(phi(i,:)));



